%define momorel 4

Name: sqlite2
Summary: SQLite is a C library that implements an embeddable SQL database engine
Version: 2.8.17
Release: %{momorel}m%{?dist}
%NoSource 0 http://www.sqlite.org/sqlite-%{version}.tar.gz 838dbac20b56d2c4292e98848505a05b
Patch: sqlite-libdir.patch
Group: Applications/Databases
URL: http://www.sqlite.org/
License: Public Domain
BuildPreReq: readline-devel >= 5.0, ncurses-devel, tcl
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
SQLite is a C library that implements an embeddable SQL database engine.
Programs that link with the SQLite library can have SQL database access
without running a separate RDBMS process. The distribution comes with a
standalone command-line access program (sqlite) that can be used to
administer an SQLite database and which serves as an example of how to
use the SQLite library.

%package -n %{name}-devel
Summary: Header files and libraries for developing apps which will use sqlite
Group: Applications/Databases
Requires: %{name} = %{version}-%{release}

%description -n %{name}-devel
The sqlite-devel package contains the header files and libraries needed
to develop programs that use the sqlite database library.

%prep
%setup -q -n sqlite-%{version}
%patch -p1

%build
%configure --enable-utf8
%make
make doc

%install
rm -rf %{buildroot}
%makeinstall

find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/*.so.*
%{_bindir}/*
%doc README doc/*

%files -n %{name}-devel
%defattr(-, root, root)
%{_libdir}/pkgconfig/sqlite.pc
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/*

%changelog
* Tue Feb 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.8.17-4m)
- delete libtool library

* Fri Jul  7 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.8.17-3m)
- rebuild against readline-5.0

* Sat Jun 24 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.8.17-2m)
- change package name

* Wed Dec 21 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (2.8.17-1m)
- revised URL
- %%{_libdir}/*.so moved from main package to devel package
- use %%NoSource

* Wed Feb 16 2005 Kazuhiko <kazuhiko@fdiary.net>
- (2.8.16-1m)
- major bugfixes

* Sun Jan 23 2005 Toru Hoshina <t@momonga-linux.org>
- (2.8.13-2m)
- enable x86_64.

* Sun Mar 21 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.8.13-1m)

* Fri Jan 16 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.8.11-1m)

* Tue Jan  6 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.8.9-1m)
- major bugfixes
- move documents to main package

* Sun Dec 21 2003 Kazuhiko <kazuhiko@fdiary.net>
- (2.8.8-1m)
- initial import to Momonga
